# vim: set sw=4 ts=4 et nu:

Name:           perl-XML-RSS-LibXML
Version:        0.3100
Release:        0.pm.2.1
Summary:        XML::RSS with XML::LibXML
Source:         http://search.cpan.org/CPAN/authors/id/D/DM/DMAKI/XML-RSS-LibXML-%{version}.tar.gz
URL:            http://search.cpan.org/dist/XML-RSS-LibXML
Group:          Development/Libraries/Perl
License:        Perl License
BuildRoot:      %{_tmppath}/build-%{name}-%{version}
%{perl_requires}
BuildRequires:  perl-macros
BuildRequires:  make
BuildRequires:  perl(ExtUtils::MakeMaker) >= 6.42
BuildRequires:  perl(XML::LibXML::XPathContext)
BuildRequires:  perl(DateTime::Format::W3CDTF)
BuildRequires:  perl(XML::LibXML) >= 1.66
BuildRequires:  perl(DateTime::Format::Mail)
BuildRequires:  perl(UNIVERSAL::require)
BuildRequires:  perl(Class::Accessor::Fast)
BuildRequires:  perl(Encode)
Requires:       perl(XML::LibXML::XPathContext)
Requires:       perl(DateTime::Format::W3CDTF)
Requires:       perl(XML::LibXML) >= 1.66
Requires:       perl(DateTime::Format::Mail)
Requires:       perl(UNIVERSAL::require)
Requires:       perl(Class::Accessor::Fast)
Requires:       perl(Encode)
%if 0%{?suse_version} >= 1120
BuildArch:      noarch
%endif

%description
XML::RSS::LibXML uses XML::LibXML (libxml2) for parsing RSS instead of
XML::RSS' XML::Parser (expat), while trying to keep interface
compatibility with XML::RSS.
XML::RSS is an extremely handy tool, but it is unfortunately not exactly
the most lean or efficient RSS parser, especially in a long-running
process. So for a long time I had been using my own version of RSS parser
to get the maximum speed and efficiency - this is the re-packaged version
of that module, such that it adheres to the XML::RSS interface.
Use this module when you have severe performance requirements working with
RSS files.

%prep
%setup -q -n "XML-RSS-LibXML-%{version}"
%__sed -i '/^auto_install/d' Makefile.PL

%build
%__perl Makefile.PL PREFIX="%{_prefix}"
%__make %{?jobs:-j%{jobs}}

%install
%perl_make_install
%perl_process_packlist

%check
%__make test

%clean
%{?buildroot:%__rm -rf "%{buildroot}"}

%files
%defattr(-,root,root)
%doc Changes
%dir %{perl_vendorlib}/XML
%dir %{perl_vendorlib}/XML/RSS
%{perl_vendorlib}/XML/RSS/LibXML
%{perl_vendorlib}/XML/RSS/LibXML.pm
%doc %{perl_man3dir}/XML::RSS::LibXML.%{perl_man3ext}%{ext_man}
%doc %{perl_man3dir}/XML::RSS::LibXML::*.%{perl_man3ext}%{ext_man}

%changelog
* Sat Mar 12 2011 pascal.bleser@opensuse.org
- initial version (0.3100)
